Bug 156783

Summary: [JSC] Add primitive String support to compare operators
Product: WebKit Reporter: Benjamin Poulain <benjamin>
Component: New BugsAssignee: Benjamin Poulain <benjamin>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, fpizlo, ggaren, keith_miller, mark.lam, msaboff, saam
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews116 for mac-yosemite
none
Patch
none
Patch for landing none

Description Benjamin Poulain 2016-04-19 23:38:12 PDT
[JSC] Add primitive String support to compare operators
Comment 1 Benjamin Poulain 2016-04-19 23:39:50 PDT
Created attachment 276808 [details]
Patch
Comment 2 Build Bot 2016-04-20 00:52:03 PDT
Comment on attachment 276808 [details]
Patch

Attachment 276808 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1189569

New failing tests:
fast/dom/Window/property-access-on-cached-window-after-frame-removed.html
js/regress-139808.html
Comment 3 Build Bot 2016-04-20 00:52:06 PDT
Created attachment 276810 [details]
Archive of layout-test-results from ews116 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Geoffrey Garen 2016-04-20 09:04:47 PDT
Bots are angry:

Regressions: Unexpected crashes (2)
  fast/dom/Window/property-access-on-cached-window-after-frame-removed.html [ Crash ]
  js/regress-139808.html [ Crash ]
Comment 5 Benjamin Poulain 2016-04-20 16:53:20 PDT
Created attachment 276867 [details]
Patch
Comment 6 Geoffrey Garen 2016-04-21 16:08:16 PDT
Comment on attachment 276867 [details]
Patch

r=me
Comment 7 Benjamin Poulain 2016-04-21 20:49:13 PDT
Created attachment 277004 [details]
Patch for landing
Comment 8 WebKit Commit Bot 2016-04-21 22:08:09 PDT
Comment on attachment 277004 [details]
Patch for landing

Clearing flags on attachment: 277004

Committed r199867: <http://trac.webkit.org/changeset/199867>
Comment 9 WebKit Commit Bot 2016-04-21 22:08:13 PDT
All reviewed patches have been landed.  Closing bug.